DataVectorTaipan.h File Reference
`#include "system_dep.h"`
`#include "Assert.h"`
`#include "DataTypes.h"`
`#include "WrappedArray.h"`

Go to the source code of this file.

## Classes

class | escript::DataTypes::DataVectorTaipan
| DataVectorTaipan implements an arbitrarily long vector of data values. DataVectorTaipan is the underlying data container for Data objects. More...

## Namespaces

| escript
| escript::DataTypes
| Contains the types to represent Shapes, Regions, RegionLoop ranges and vectors of data as well as the functions to manipulate them.

## Functions

void | escript::DataTypes::releaseUnusedMemory ()
| releases unused memory in the memory manager. More...